Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86413 - glibc 2.3.2-4.80 crash memprof
Summary: glibc 2.3.2-4.80 crash memprof
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: memprof
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-21 17:35 UTC by Ronald Chan
Modified: 2014-06-18 09:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-18 14:25:21 UTC


Attachments (Terms of Use)
a simple program where memory leak can't be detected after glibc upgraded to 2.3.2-4.80 (deleted)
2003-03-22 02:58 UTC, Ronald Chan
no flags Details

Description Ronald Chan 2003-03-21 17:35:01 UTC
Description of problem:

When I upgrade glibc from 2.2.93-5 to 2.3.2-4,
memprof cannot check memory leak or generate profile.
When I fallback to use 2.2.93-5, memprof works again.

Version-Release number of selected component (if applicable):

memprof-0.5.0-2.i386.rpm
glibc-2.3.2-4.80.i686.rpm
glibc-common-2.3.2-4.80.i386.rpm
glibc-devel-2.3.2-4.80.i386.rpm
nscd-2.3.2-4.80.i386.rpm

How reproducible:
I have only one machine with redhat 8.0, and it ALWAYS got the problem described
above. 

Steps to Reproduce:
01. download glibc*2.3.2-4.80*.rpm and nscd-2.3.2-4.80.i386.rpm
    from updates.redhat.com
02. rpm -Fvh *.rpm 
03. rpm -qa | grep glibc     // to confirm glibc is updated
04. rpm -qa | grep nscd      // to confirm nscd is update
05. reboot the machine       // I think it is safer to reboot ....
06. write a simple program with memory leak
07. recompile and link it with -g
08. use memprof to check memory leak
09. -->> cannot check memory leak or profile
10. repeat 5 to 8
11. -->> same problem
12. rpm -Uvh --force glibc-2.2.93-5.i686.rpm glibc-common-2.2.93-5.i386.rpm
glibc-devel-2.2.93-5.i386.rpm
13. reboot the machine
14. recompile and link the same source with -g again
15. memprof can check the memory leak



Actual results:
1. after upgrade to glibc 2.3.2-4.80, memprof cannot generate the memory leak 
   report or profile report after running a program

Expected results:
1. memprof can generate the reports

Additional info:

Comment 1 Ronald Chan 2003-03-22 02:58:01 UTC
Created attachment 90693 [details]
a simple program where memory leak can't be detected after glibc upgraded to  2.3.2-4.80

it can be built with "g++ -g AA.cpp" and
then run by "memprof ./a.out"

Comment 2 Owen Taylor 2003-03-22 22:09:49 UTC
This basically is "not suprising" - memprof is very fragile to 
changes in libc; you might want to try the memprof from Rawhide ...
it might work better with the newer libc.


Comment 3 David Juran 2003-07-17 11:34:04 UTC
memprof-0.5.1-3 from rawhide has the same problem )-:

Comment 4 Ronald Chan 2003-11-09 10:44:55 UTC
There is a possible workaround.
Just do not let the target program end, like adding a scanf("%d", &a);
at the end of the program.

Then I can run memprof for memory leack checking

Comment 5 David Juran 2003-11-11 10:06:20 UTC
On which versions does this workaround work? On RHEL 3
(memprof-0.5.1-3, glibc-2.3.2-95.3) I don't see any difference at all
just by adding the scanf line in the end (right before the return) to
the test progran in comment  #1


Comment 6 Bill Nottingham 2006-08-07 17:21:09 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.


Comment 7 Bill Nottingham 2006-10-18 14:25:21 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.